Skip to content
Amplify APIReference

Update marketer's users

PUT/marketers/{marketerId}/users

Update marketer's users allows disabling/enabling a user and updating their role

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

marketerId*string

the Marketer's id

Request Body

application/json

Response Body

application/json

curl -X PUT "https://example.com/marketers/00f4b02153ee75f3c9dc4fc128ab041962/users" \  -H "Content-Type: application/json" \  -d '[    {      "userEmail": "a@mydomain.com",      "enabled": true,      "role": "VIEWER"    },    {      "userEmail": "b@mydomain.com",      "enabled": true,      "role": "CAMPAIGN_MANAGER"    }  ]'
{  "users": [    {      "name": "somename1",      "email": "a@domain.com",      "creationTime": "2022-09-20 20:12:23",      "status": "DISABLED",      "fullName": "some name1",      "role": "ACCOUNT_MANAGER"    },    {      "name": "somename2",      "email": "b@domain.com",      "creationTime": "2022-09-20 20:12:23",      "status": "ENABLED",      "invitationId": "00f4b02153ee75f3c9dc4fc128ab041962",      "role": "VIEWER"    }  ]}